## ros-humble-control-msgs 4.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(control_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(action_msgs REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)

set(msg_files
  msg/AdmittanceControllerState.msg
  msg/DynamicJointState.msg
  msg/GripperCommand.msg
  msg/InterfaceValue.msg
  msg/JointComponentTolerance.msg
  msg/JointControllerState.msg
  msg/JointJog.msg
  msg/JointTolerance.msg
  msg/JointTrajectoryControllerState.msg
  msg/MecanumDriveControllerState.msg
  msg/PidState.msg
  msg/SteeringControllerStatus.msg
)

set(action_files
  action/FollowJointTrajectory.action
  action/GripperCommand.action
  action/JointTrajectory.action
  action/PointHead.action
  action/SingleJointPosition.action
)

set(srv_files
  srv/QueryCalibrationState.srv
  srv/QueryTrajectoryState.srv
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  ${action_files}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES
    action_msgs
    builtin_interfaces
    geometry_msgs
    sensor_msgs
    std_msgs
    trajectory_msgs
  ADD_LINTER_TESTS
)
ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-control-msgs (4.4.0-1jammy) jammy; urgency=high

  * Update JTC state message (#87 <https://github.com/ros-controls/control_msgs/issues/87>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Apr 2023 23:00:00 -0000

ros-humble-control-msgs (4.1.1-1jammy) jammy; urgency=high

  * Status message for steering controllers (backport #72 <https://github.com/ros-controls/control_msgs/issues/72>) (#83 <https://github.com/ros-controls/control_msgs/issues/83>)
  * Add state message for mechanum controller (backport #79 <https://github.com/ros-controls/control_msgs/issues/79>) (#82 <https://github.com/ros-controls/control_msgs/issues/82>)
  * Contributors: Bence Magyar, Denis Stogl, Giridhar Bukka

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Mar 2023 00:00:00 -0000

ros-humble-control-msgs (4.1.0-1jammy) jammy; urgency=high

  * Add status admittance controller message (#68 <https://github.com/ros-controls/control_msgs/issues/68>)
  * Contributors: Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Oct 2022 23:00:00 -0000

ros-humble-control-msgs (4.0.0-1jammy) jammy; urgency=high

  * Added controller states for multi dof joints (#64 <https://github.com/ros-controls/control_msgs/issues/64>)
  * Add initial configurations for multiple distros. (#59 <https://github.com/ros-controls/control_msgs/issues/59>)
    * Add CI configuration with multiple ROS distributions and use pre-commit in the repository.
    * Add badges
  * Contributors: Denis Štogl, George Stavrinos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-humble-control-msgs (3.0.0-1jammy) jammy; urgency=high

  * Extend FollowJointTrajectoryAction with multi_dof_trajectory variable
    https://github.com/ros-controls/control_msgs/pull/55
  * Refractor dependency list for better overview.
  * Contributors: Bence Magyar, David V. Lu, Denis Štogl, JafarAbdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 May 2021 23:00:00 -0000

ros-humble-control-msgs (2.5.0-1jammy) jammy; urgency=high

  * Extend QueryTrajectoryState to allow to report errors
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Jan 2021 00:00:00 -0000

ros-humble-control-msgs (2.4.1-1jammy) jammy; urgency=high

  * Move author field lower in package.xml
  * Don't define C standard
  * Define package.xml schema for validator
  * depend -> build_depend, exec_depend
  * Contributors: Bence Magyar, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 23:00:00 -0000

ros-humble-control-msgs (2.4.0-1jammy) jammy; urgency=high

  * Add std_msgs prefix path to header
  * Add JointJog msg to ROS 2 - foxy
  * Contributors: AdamPettinger, AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 23:00:00 -0000

ros-humble-control-msgs (2.3.0-1jammy) jammy; urgency=high

  * Implement "flexible joint states" message: add DynamicJointState message
  * add description of JointControllerState.msg (#30 <https://github.com/ros-controls/control_msgs/issues/30>) (#39 <https://github.com/ros-controls/control_msgs/issues/39>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 15 May 2020 23:00:00 -0000

ros-humble-control-msgs (2.2.0-1jammy) jammy; urgency=high

  * generate action interfaces
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 23:00:00 -0000

ros-humble-control-msgs (2.1.0-1jammy) jammy; urgency=high

  * Fix up dependencies for actionlib and Crystal
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 29 Jan 2019 00:00:00 -0000

ros-humble-control-msgs (2.0.0-1jammy) jammy; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-humble-control-msgs (1.4.0-1jammy) jammy; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 23:00:00 -0000

ros-humble-control-msgs (1.3.1-1jammy) jammy; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Mar 2015 00:00:00 -0000

ros-humble-control-msgs (1.3.0-1jammy) jammy; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

ros-humble-control-msgs (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Apr 2013 23:00:00 -0000

ros-humble-control-msgs (1.1.6-1jammy) jammy; urgency=high

  * adds missing feedback field to PointHeadAction
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Feb 2013 00:00:00 -0000

ros-humble-control-msgs (1.1.5-1jammy) jammy; urgency=high

  * changes PointHeadAction.action to PointHead.action
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jan 2013 00:00:00 -0000

ros-humble-control-msgs (1.1.4-1jammy) jammy; urgency=high

  * this now contains all messages, services and actions that used to be in ros_controllers and/or pr2_controllers_msgs
  * copy JointControllerState and JointTrajectoryControllerState  from pr2_controllers_msgs
  * copy GripperCommand from pr2_controllers_msgs
  * modified dep type of catkin
  * Contributors: Dirk Thomas, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-humble-control-msgs (1.1.3-1jammy) jammy; urgency=high

  * fix dep


=== debian/control ===
Source: ros-humble-control-msgs
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-trajectory-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/control_msgs
Standards-Version: 3.9.2

Package: ros-humble-control-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: control_msgs contains base messages and actions useful for controlling robots.
 It provides representations for controller setpoints and joint and cartesian trajectories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-control-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-control-msgs 4.6.0

=== debian/changelog ===
ros-humble-control-msgs (4.6.0-1bookworm) bookworm; urgency=high

  * Propose generic messages for commanding and getting states from controllers. (backport #69 <https://github.com/ros-controls/control_msgs/issues/69>) (#133 <https://github.com/ros-controls/control_msgs/issues/133>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Jun 2024 16:00:00 -0000

ros-humble-control-msgs (4.5.0-1bookworm) bookworm; urgency=high

  * Add velocity to gripper command (#99 <https://github.com/ros-controls/control_msgs/issues/99>) (#129 <https://github.com/ros-controls/control_msgs/issues/129>)
  * Add custom rosdoc2 config (#132 <https://github.com/ros-controls/control_msgs/issues/132>) (#135 <https://github.com/ros-controls/control_msgs/issues/135>)
  * Specify BSD as BSD-3-Clause (#114 <https://github.com/ros-controls/control_msgs/issues/114>) (#116 <https://github.com/ros-controls/control_msgs/issues/116>)
  * Contributors: Christoph Fröhlich, Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 May 2024 16:00:00 -0000

ros-humble-control-msgs (4.4.0-1bookworm) bookworm; urgency=high

  * Update JTC state message (#87 <https://github.com/ros-controls/control_msgs/issues/87>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-control-msgs (4.1.1-1bookworm) bookworm; urgency=high

  * Status message for steering controllers (backport #72 <https://github.com/ros-controls/control_msgs/issues/72>) (#83 <https://github.com/ros-controls/control_msgs/issues/83>)
  * Add state message for mechanum controller (backport #79 <https://github.com/ros-controls/control_msgs/issues/79>) (#82 <https://github.com/ros-controls/control_msgs/issues/82>)
  * Contributors: Bence Magyar, Denis Stogl, Giridhar Bukka

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 16:00:00 -0000

ros-humble-control-msgs (4.1.0-1bookworm) bookworm; urgency=high

  * Add status admittance controller message (#68 <https://github.com/ros-controls/control_msgs/issues/68>)
  * Contributors: Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Oct 2022 16:00:00 -0000

ros-humble-control-msgs (4.0.0-1bookworm) bookworm; urgency=high

  * Added controller states for multi dof joints (#64 <https://github.com/ros-controls/control_msgs/issues/64>)
  * Add initial configurations for multiple distros. (#59 <https://github.com/ros-controls/control_msgs/issues/59>)
    * Add CI configuration with multiple ROS distributions and use pre-commit in the repository.
    * Add badges
  * Contributors: Denis Štogl, George Stavrinos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 16:00:00 -0000

ros-humble-control-msgs (3.0.0-1bookworm) bookworm; urgency=high

  * Extend FollowJointTrajectoryAction with multi_dof_trajectory variable
    https://github.com/ros-controls/control_msgs/pull/55
  * Refractor dependency list for better overview.
  * Contributors: Bence Magyar, David V. Lu, Denis Štogl, JafarAbdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 May 2021 16:00:00 -0000

ros-humble-control-msgs (2.5.0-1bookworm) bookworm; urgency=high

  * Extend QueryTrajectoryState to allow to report errors
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Jan 2021 16:00:00 -0000

ros-humble-control-msgs (2.4.1-1bookworm) bookworm; urgency=high

  * Move author field lower in package.xml
  * Don't define C standard
  * Define package.xml schema for validator
  * depend -> build_depend, exec_depend
  * Contributors: Bence Magyar, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 16:00:00 -0000

ros-humble-control-msgs (2.4.0-1bookworm) bookworm; urgency=high

  * Add std_msgs prefix path to header
  * Add JointJog msg to ROS 2 - foxy
  * Contributors: AdamPettinger, AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 16:00:00 -0000

ros-humble-control-msgs (2.3.0-1bookworm) bookworm; urgency=high

  * Implement "flexible joint states" message: add DynamicJointState message
  * add description of JointControllerState.msg (#30 <https://github.com/ros-controls/control_msgs/issues/30>) (#39 <https://github.com/ros-controls/control_msgs/issues/39>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 15 May 2020 16:00:00 -0000

ros-humble-control-msgs (2.2.0-1bookworm) bookworm; urgency=high

  * generate action interfaces
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 16:00:00 -0000

ros-humble-control-msgs (2.1.0-1bookworm) bookworm; urgency=high

  * Fix up dependencies for actionlib and Crystal
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Jan 2019 16:00:00 -0000

ros-humble-control-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Jan 2019 16:00:00 -0000

ros-humble-control-msgs (1.4.0-1bookworm) bookworm; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 16:00:00 -0000

ros-humble-control-msgs (1.3.1-1bookworm) bookworm; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 04 Mar 2015 16:00:00 -0000

ros-humble-control-msgs (1.3.0-1bookworm) bookworm; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian



=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-trajectory-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
-Homepage: http://ros.org/wiki/control_msgs
+Homepage: https://control.ros.org
 Standards-Version: 3.9.2
 
 Package: ros-humble-control-msgs

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-control-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-control-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-control-msgs//opt/ros/humble/opt/control_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
